<?php
// Include the database connection file
include('config.php');
?>
<style>
<?php include('reports.css'); ?>
</style>
<?php
//sql query for government table
$queryitemg="SELECT * FROM government order by GovName;";
          $resultg=mysqli_query($db,$queryitemg);
          
 
          //sql query for edara
 $queryiteme="SELECT * FROM edara order by EdaraName;";
          $resulte=mysqli_query($db,$queryiteme);
          
  
          //sql query for edara
 $queryitem="SELECT * FROM users order by username;";
 $resultm=mysqli_query($db,$queryitem);
   
 
 //sql query for school
 $queryitems="SELECT * FROM school order by schoolname;";
 $results=mysqli_query($db,$queryitems);
 
 
      

// SQL query
$sql = "SELECT g.GovName, e.EdaraName, s.schoolname, s.NoOfStudent, sd.manager_name, COUNT(*) AS total_students 
        FROM government g 
        JOIN edara e ON g.GovID = e.GovID 
        JOIN school s ON e.EdaraID = s.EdaraID 
        JOIN studentdata sd ON s.SchoolID = sd.schoolID 
        GROUP BY s.schoolname";

$result = $db->query($sql);

// SQL query to select school data along with the total number of students and distinct managers
$sql1= "SELECT g.GovName, e.EdaraName, s.schoolname, s.NoOfStudent, COUNT(DISTINCT sd.manager_name) AS distinct_managers 
        FROM government g 
        JOIN edara e ON g.GovID = e.GovID 
        JOIN school s ON e.EdaraID = s.EdaraID 
        JOIN studentdata sd ON s.SchoolID = sd.schoolID 
        GROUP BY s.schoolname";

$result1= $db->query($sql1);
?>
<!DOCTYPE html >
<html  dir="rtl" lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <script src="scripty.js"></script>
    <link rel="stylesheet" href="report.css">
    <title>School Data</title>
</head>
<body>
<div class="header-box">
<h2>استمارة رصد نتيجة التلميذ في أداة المسح القرائي باللغة العربية</h2>
</div>
<table>
    <thead>
        <tr>
            <th><select id="gov"   name="gov" onchange="fetchData()">
                <option disabled selected value>المحافظة</option>
           <?php 
          
          if ($resultg->num_rows > 0) {
            while ($row = $resultg->fetch_assoc()) {
            echo '<option value="'.$row['GovID'].'">'.$row['GovName'].'</option>';
            }
        }
            ?>
          </select></th>
            <th><select id="edara"   name="edara" onchange="fetchData()">
                <option disabled selected value>الادارة</option>
           <?php 
          
          if ($resulte->num_rows > 0) {
            while ($row = $resulte->fetch_assoc()) {
            echo '<option value="'.$row['EdaraID'].'">'.$row['EdaraName'].'</option>';
            }
        }
            ?>
          </select></th>
            <th><select id="school"  value ="" name="School" onchange="fetchData()">
            <option disabled selected value>اسم المدرسة</option>
            <?php 
          if ($results->num_rows > 0) {
            //echo '<option value="">Select State</option>'; 
            while ($row = $results->fetch_assoc()) {
                echo'<option value="'.$row['SchoolID'].'">'.$row['SchoolName'].'</option>';  
            }
          
        }
            ?>
          </select> 
          <th>اسم المطبق</th>  
          <th>عدد الطلاب المستهدف</th>
          <th>عدد الطلاب الفعلى الان</th>
          <th>المدارس المتبقية</th>
            
        </tr>
    </thead>
    <tbody>
        
        <?php
        if ($result->num_rows > 0) {
            // Output data of each row
            while ($row = $result->fetch_assoc()) {
                echo "<tr>";
                echo "<td>" . $row["GovName"] . "</td>";
                echo "<td>" . $row["EdaraName"] . "</td>";
                echo "<td>" . $row["schoolname"] . "</td>";
                echo "<td>" . $row["manager_name"] . "</td>";
                echo "<td style='background-color: greenyellow;'>" . $row["NoOfStudent"] . "</td>";
                echo "<td>" . $row["total_students"] . "</td>";
                echo "<td style='background-color: red;'>" . $row["NoOfStudent"] - $row["total_students"] . "</td>";
                echo "</tr>";
                echo "</tr>";
                
            }
        }
//close connection
$db->close();
        ?>
    </tbody>
</table>

</body>
</html>

