<style>
  <?php include "styles.css" ?>
  <?php include "menu.css" ?>
</style>
<?php
// Start the session
session_start();

// Include the database connection file
include('db_config.php');
?>

<html dir="rtl" lang="en">
<head>
<title>التقويم الالكترونى للصف الاول الابتدائى 2024</title>
  <meta charset="utf-8">
  <link rel="stylesheet" href="styles.css">
  <link rel="stylesheet" href="menu.css">
  <div class="menu">
  <div alt="Logo" class="logo"></div>
    <h1>مراجعة اسماء واعدد التلاميذ لكل مدرسة </h1>
  </div>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.0/jquery.min.js"></script>
<script type="text/javascript"></SCRIPT>
</head>

<body>

  <div class="container">
    <h2 id="title"> نرجو اختيار المدرسة المطلوب مراجعة بياناتها</h2>
    
    <form id="survey-form" method='post' action='rev_results.php'>
      <div class="form-div">
        <div class="form-group">
          <label for="GovID" >المحافظة</label>
          <select id="GovID" name="GovID" class="form-control" required>
            <option value="">اختر المحافظة</option>
            <?php 
          $queryitem="SELECT * FROM government order by GovName;";
          $result=mysqli_query($conn,$queryitem);
          if ($result->num_rows > 0) {
            while ($row = $result->fetch_assoc()) {
            echo '<option value="'.$row['GovID'].'">'.$row['GovName'].'</option>';
            }
            }else{
            echo '<option value="">لا يوجد محافظات </option>';
            }
            ?>
          </select>
        </div>

				<!-- Edara dropdown -->
        <div class="form-group">
          <label for="EdaraID">الإدارة التعليمية</label>
          <select id="EdaraID"  value ="" name="EdaraID" class="form-control" required>
            <option disabled selected value>اختر الإدارة التعليمية</option>
          </select>
                       
            
        </div>
         <div class="form-group">
         <!--school dropdown -->
          <label for="school" >المدرسة</label>

          <select id="schoolID"  value ="" name="SchoolID" class="form-control" required>
            <option disabled selected value>اختر اسم المدرسة</option>
          </select> 
           
        </div>
            


        </div>    
        <div class="form-group">
    <input type="submit" id="evaluator" name="evaluator" class="form-control" value="عرض النتائج">
        </div>
        
    </form>
  </div>




  <script>
$(document).ready(function(){
  $("#GovID").on("change",function(){
    var govID = $(this).val();
    $.post("action copy.php", 
    {
      GovID: govID
    },
    function(data, status){
      //document.write(data);
      $('#EdaraID').html(data);
      $('#schoolID').html('<option value="">اختر الادارة أولا</option>');
    });
  });

  $("#EdaraID").on("change",function(){
    var edaraID = $(this).val();
    $.post("action copy.php", 
    {
      EdaraID: edaraID
    },
    function(data, status){
      //document.write(data);
      $('#schoolID').html(data);
      //$('#manage').html('<option value="">اختر المدرسة أولا</option>');
    });
  });

  $("#schoolID").on("change",function(){
    var schoolID = $(this).val();
    $.post("action copy.php", 
    {
      SchoolID: schoolID
    },
    function(data, status){
      //document.write(data);
      $('#evaluator').html(data);
      //$('#manage').html('<option value="">اختر المدرسة أولا</option>');
    });
  });


});
</script>

</body>

</html>